package org.jeecg.modules.api.service;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.communityGoods.entity.CommunityGoods;
import org.jeecg.modules.communityGoodsCollection.entity.CommunityGoodsCollection;
import org.jeecg.modules.communityOrder.entity.CommunityOrder;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface GoodsService {

    //获取商品列表
    public Result<?> queryGoodsList(CommunityGoods communityGoods, PageBean pageBean);

    //获取商品详情
    public Result<?> queryGoodsById(String goodsId);

    //商品收藏-获取我收藏的商品列表/详情
    public Result<?> queryGoodsCollectionList(String token, PageBean pageBean);

    //兑换商品
    public Result<?> buyGoods(String token, CommunityOrder communityOrder);

    //收藏商品
    public Result<?> collectionGoods(String token, CommunityGoodsCollection communityGoodsCollection);

}
