import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '参数编码',
    align:"center",
    dataIndex: 'paramCode'
   },
   {
    title: '参数值_普通文本',
    align:"center",
    dataIndex: 'paramText'
   },
   {
    title: '参数值_图片',
    align:"center",
    dataIndex: 'paramImage',
    customRender:render.renderAvatar,
   },
   {
    title: '参数值_富文本',
    align:"center",
    dataIndex: 'paramTextarea',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '参数描述',
    align:"center",
    dataIndex: 'paramDesc'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '参数编码',
    field: 'paramCode',
    component: 'Input',
  },
  {
    label: '参数值_普通文本',
    field: 'paramText',
    component: 'Input',
  },
  {
    label: '参数值_图片',
    field: 'paramImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '参数值_富文本',
    field: 'paramTextarea',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '参数描述',
    field: 'paramDesc',
    component: 'Input',
  },
];
