package org.jeecg.modules.api.service;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface ConfigService {

    //查询系统配置列表
    public Result<?> queryConfigList(PageBean pageBean);
    //查询系统配置详情
    public Result<?> queryConfigByParamCode(String paramCode);
    //查询职业信息列表
    public Result<?> queryCareerList(PageBean pageBean);
    //查询学历信息列表
    public Result<?> queryQualificationList(PageBean pageBean);

}
