package org.jeecg.modules.api.service;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.communityBanner.entity.CommunityBanner;
import org.jeecg.modules.communityNotice.entity.CommunityNotice;
import org.jeecg.modules.communityVolunteer.entity.CommunityVolunteer;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface IndexService {

    //获取banner图列表
    public Result<?> queryBannerList(CommunityBanner communityBanner, PageBean pageBean);

    //获取公告列表
    public Result<?> queryNoticeList(CommunityNotice communityNotice, PageBean pageBean);

    //获取公告详情
    public Result<?> queryNoticeById(String noticeId);

    //申请成为志愿者
    public Result<?> applyVolunteer(String token, CommunityVolunteer communityVolunteer);

}
