package org.jeecg.modules.api.service;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.communityGoods.entity.CommunityGoods;
import org.jeecg.modules.communityOrder.entity.CommunityOrder;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

public interface OrderService {

    //查看订单列表
    public Result<?> queryOrderList(String token, CommunityOrder communityOrder, PageBean pageBean);

    //查看订单详情
    public Result<?> queryOrderById(String token, String orderId);

    //确认取货
    public Result<?> finishOrder(String token, String orderId);

}
